GET/projects/api/v3/reporting/views/{type}/{viewId}.json

Get a specific reporting view.

Retrieve a reporting view by id for the given type.

Path Params

  • Name
    viewId
    Type
    integer
    required
    Description
  • Name
    type
    Type
    integer
    required
    Description

Query Params

  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    viewIds
    Type
    array[integer]
    Description

    filter by ids

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    Response contains information about a specific reporting view.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Description
    404 Not Found No Data

Examples

200 OK

Response
{
  "view": {
    "config": "string",
    "createdAt": "string",
    "createdBy": 0,
    "displayOrder": 0,
    "grantAccessTo": {
      "companies": [
        {
          "grant": "string",
          "id": 0
        }
      ],
      "teams": [
        {
          "grant": "string",
          "id": 0
        }
      ],
      "users": [
        {
          "grant": "string",
          "id": 0
        }
      ]
    },
    "id": 0,
    "isPinned": true,
    "isVisible": true,
    "name": "string",
    "type": "string",
    "updatedAt": "string",
    "updatedBy": 0,
    "visibility": "string"
  }
}